# Interface VulkanQueueFamilyPropertiesType

All Known Implementing Classes:
  `VulkanQueueFamilyProperties`

@Immutable public interface VulkanQueueFamilyPropertiesType
The properties of a queue family.

See Also:
  - "VkQueueFamilyProperties"

- ## Method Summary

  Modifier and Type
  Method
  Description
  `default VulkanExtent3D`
  `minImageTransferGranularity()`
  `default int`
  `queueCount()`
  `default VulkanQueueFamilyIndex`
  `queueFamilyIndex()`
  `default boolean`
  `queueFlagImpliesTransfer()`
  All commands that are allowed on a queue that supports transfer operations are also allowed on a queue that supports either graphics or compute operations.
  `Set<VulkanQueueFamilyPropertyFlag>`
  `queueFlags()`
  `default int`
  `timestampValidBits()`

- ## Method Details

  - ### queueFamilyIndex

    @Default default VulkanQueueFamilyIndex queueFamilyIndex()
    Returns:
      The index of the queue family

  - ### queueCount

    @Default default int queueCount()
    Returns:
      The number of queues available in the family

  - ### queueFlags

    Set<VulkanQueueFamilyPropertyFlag> queueFlags()
    Returns:
      The property flags for the queue family

  - ### timestampValidBits

    @Default default int timestampValidBits()
    Returns:
      The unsigned integer count of meaningful bits in the timestamps written via vkCmdWriteTimestamp.

  - ### minImageTransferGranularity

    @Default default VulkanExtent3D minImageTransferGranularity()
    Returns:
      The minimum granularity supported for image transfer operations on the queues in this queue family.

  - ### queueFlagImpliesTransfer

    default boolean queueFlagImpliesTransfer()
    All commands that are allowed on a queue that supports transfer operations are also allowed on a queue that supports either graphics or compute operations. Thus, if the capabilities of a queue family include VK_QUEUE_GRAPHICS_BIT or VK_QUEUE_COMPUTE_BIT, then reporting the VK_QUEUE_TRANSFER_BIT capability separately for that queue family is optional.
    Returns:
      `true` if the queue flags imply transfer support
    See Also:
      - "https://registry.khronos.org/vulkan/specs/1.3-extensions/man/html/VkQueueFlagBits.html"